Skip to content

compile error during install (dependency version?) #12

Closed
clrh opened this Issue Jan 30, 2012 · 2 comments

2 participants

@clrh
clrh commented Jan 30, 2012

I had errors during install (cpanm) and in the build log I found:
Undefined subroutine &MooseX::Types::Base::find_type_constraint called at /usr/share/perl5/MooseX/T

tail -5 /home/claire/.cpanm/build.log
Files=36, Tests=55, 12 wallclock secs ( 0.13 usr 0.07 sys + 10.22 cusr 0.77 csys = 11.19 CPU)
Result: FAIL
Failed 21/36 test programs. 0/55 subtests failed.
make: *** [test_dynamic] Erreur 255
-> FAIL Installing Net::HTTP::Spore failed. See /home/claire/.cpanm/build.log for details.

I did something like:
$ sudo cpanm MooseX::Types::Base

Now it works, I don't know why dependencies were not installed at first time. Hope that helps...

Claire;

@ashb
Collaborator
ashb commented Apr 18, 2013

Looking at the error (that unfortunately got cut off) it looks like the error might be in in MooseX::Types::URI or MooseX::Types itself.

If you are still on the same machine and perl install where this error happened can you perldoc perllocal and see what version you had of these two modules before you updated to fix this problem?

Thanks.

@ashb
Collaborator
ashb commented May 1, 2013

Closing as blocked.

@ashb ashb closed this May 1, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.